#!/bin/sh
## *****************************************************************************
## IBM Confidential
## OCO Source Materials
## 5724-E75,5724-E87,5724-L68,5724-L69
##
## (C) Copyright IBM Corp. 2001,2004 - All Rights Reserved.
##
## US Government Users Restricted Rights - Use, duplication or disclosure
## restricted by GSA ADP Schedule Contract with IBM Corp.
## *****************************************************************************

BCGHUB_HOME=$1
temp_file=$2


/bin/rm -f $temp_file

cd "$BCGHUB_HOME"/bin

oldVars=`env|cut -f1 -d'='`

echo $oldVars | sed 's/ /|/g'

set -a
. "$BCGHUB_HOME"/bin/bcgSetupCmdLine.sh
set +a

newVars=`env|cut -f1 -d'='`


for i in $newVars
do
	echo "processing $i"
	if echo $oldVars| grep $i >/dev/nul 2>/dev/null
	then
		echo $i old
	else
		echo $i new
		env | grep "^$i=" >> $temp_file
	fi
done

